## org.eclipse.jetty.server.handler
Class AbstractHandlerContainer

    java.lang.Object
      org.eclipse.jetty.util.component.AbstractLifeCycle
          org.eclipse.jetty.server.handler.AbstractHandler
              org.eclipse.jetty.server.handler.AbstractHandlerContainer

All Implemented Interfaces:
  Handler, HandlerContainer, LifeCycle

Direct Known Subclasses:
  HandlerCollection, HandlerWrapper, HotSwapHandler

    public abstract class AbstractHandlerContainer

extends AbstractHandler
implements HandlerContainer

Abstract Handler Container. This is the base class for handlers that may contain other handlers.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`AbstractLifeCycle.AbstractLifeCycleListener`

Nested classes/interfaces inherited from interface org.eclipse.jetty.util.component.LifeCycle
`LifeCycle.Listener`

Field Summary

Fields inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`_listeners, FAILED, RUNNING, STARTED, STARTING, STOPPED, STOPPING`

Constructor Summary
`AbstractHandlerContainer()`

Method Summary
`protected void` `dump(Appendable out, String indent)`
`protected void` `dumpHandlers(Appendable out, String indent)`
`protected Object` `expandChildren(Object list, Class<?> byClass)`
`protected Object` `expandHandler(Handler handler, Object list, Class<Handler> byClass)`

`

`<T extends Handler> T`

`

`getChildHandlerByClass(Class<T> byclass)`

`Handler[]` `getChildHandlers()`
`Handler[]` `getChildHandlersByClass(Class<?> byclass)`

Methods inherited from class org.eclipse.jetty.server.handler.AbstractHandler
`destroy, doStart, doStop, dump, dump, getServer, setServer, toString`

Methods inherited from class org.eclipse.jetty.util.component.AbstractLifeCycle
`addLifeCycleListener, getState, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jetty.server.HandlerContainer
`getHandlers`

Methods inherited from interface org.eclipse.jetty.util.component.LifeCycle
`addLifeCycleListener, isFailed, isRunning, isStarted, isStarting, isStopped, isStopping, removeLifeCycleListener, start, stop`

Methods inherited from interface org.eclipse.jetty.server.Handler
`handle`

Constructor Detail

### AbstractHandlerContainer

    public AbstractHandlerContainer()

Method Detail

### getChildHandlers

    public Handler[] getChildHandlers()

  Specified by:
    `getChildHandlers` in interface `HandlerContainer`
  Returns:
    array of all handlers contained by this handler and it's children

### getChildHandlersByClass

    public Handler[] getChildHandlersByClass(Class<?> byclass)

  Specified by:
    `getChildHandlersByClass` in interface `HandlerContainer`
  Returns:
    array of all handlers contained by this handler and it's children of the passed type.

### getChildHandlerByClass

    public <T extends Handler> T getChildHandlerByClass(Class<T> byclass)

  Specified by:
    `getChildHandlerByClass` in interface `HandlerContainer`
  Returns:
    first handler of all handlers contained by this handler and it's children of the passed type.

### expandChildren

    protected Object expandChildren(Object list,
                                    Class<?> byClass)

### expandHandler

    protected Object expandHandler(Handler handler,
                                   Object list,
                                   Class<Handler> byClass)

### dump

    protected void dump(Appendable out,
                        String indent)
                 throws IOException

  Overrides:
    `dump` in class `AbstractHandler`
  Throws:
    `IOException`

### dumpHandlers

    protected void dumpHandlers(Appendable out,
                                String indent)
                         throws IOException

  Throws:
    `IOException`

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.